Index: res/res_pjsip_sdp_rtp.c
===================================================================
--- res/res_pjsip_sdp_rtp.c	(revision 424148)
+++ res/res_pjsip_sdp_rtp.c	(revision 424150)
@@ -721,6 +721,11 @@
 		return 0;
 	}
 
+	/* If port is 0, ignore this media stream */
+	if (!stream->desc.port) {
+		return 1;
+	}
+
 	/* Ensure incoming transport is compatible with the endpoint's configuration */
 	if (!session->endpoint->media.rtp.use_received_transport &&
 		check_endpoint_media_transport(session->endpoint, stream) == AST_SIP_MEDIA_TRANSPORT_INVALID) {
@@ -1050,6 +1055,10 @@
 		return 1;
 	}
 
+	if (!local_stream->desc.port || !remote_stream->desc.port) {
+		return 1;
+	}
+
 	/* Ensure incoming transport is compatible with the endpoint's configuration */
 	if (!session->endpoint->media.rtp.use_received_transport &&
 		check_endpoint_media_transport(session->endpoint, remote_stream) == AST_SIP_MEDIA_TRANSPORT_INVALID) {
